---
updatedAt: 2026-06-25T17:49:52.000Z
agentTools:
  projectIndex: https://team-asset-panda.readme.io/llms.txt
---

# Get Attachments

## Attachments

Retrieve a list of attachments, along with the locations from where the attachments are being pulled from. Also retrieves the attachment ID of all attachments linked to an object.

See <b>Authentication</b> below.

## Sample Response

```text
{
    "folders": [],
    "attachments": {
        "images": [
            {
                "id": "4916464",
                "type": "Image",
                "name": "2021-09-10_11-38-58.png",
                "created_at": "2022-03-22T15:18:42.000Z",
                "share_url": "https://login.assetpanda.com/d/d31eb71654f1c761458187b28569660d",
                "thumb": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/thumb_2021-09-10_11-38-58.png",
                "medium": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/default_2021-09-10_11-38-58.png",
                "large": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/big_2021-09-10_11-38-58.png",
                "url": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/big_2021-09-10_11-38-58.png"
            },
            {
                "id": "4915567",
                "type": "Image",
                "name": "ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
                "created_at": "2022-03-22T07:40:47.000Z",
                "share_url": "https://login.assetpanda.com/d/e40b4c5c86343501851c280935594a0e",
                "thumb": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/thumb_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
                "medium": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/default_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
                "large": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/big_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
                "url": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/big_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg"
            }
```

## Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Query Parameters
      </th>

      <th>
        Required/Optional
      </th>

      <th>
        Description
      </th>

      <th>
        Type
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `entity_id`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments associated with the specified group. This must be used in combination with the `scope` parameter, where the value of `scope` must be 'assigned'.\
        For example, 'entity\_id=13808\&scope=assigned'.
      </td>

      <td>
        Integer
      </td>
    </tr>

    <tr>
      <td>
        `entity_object_id`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments associated with the specified record. 
      </td>

      <td>
        String
      </td>
    </tr>

    <tr>
      <td>
        `name`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments that even partially match the specified name.
      </td>

      <td>
        String
      </td>
    </tr>

    <tr>
      <td>
        `type`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments with the specified type. This parameter will only accept one of the following four values:\
        Image, VoiceNote, Video, and Document.
      </td>

      <td>
        String
      </td>
    </tr>

    <tr>
      <td>
        `scope`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments with the specified scope. This parameter will only accept one of the following two values:\
        assigned and unassigned.
      </td>

      <td>
        String
      </td>
    </tr>

    <tr>
      <td>
        `folder_id`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments belonging to the specified folder.
      </td>

      <td>
        Integer
      </td>
    </tr>

    <tr>
      <td>
        `start_date`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments that were added on or after the specified date.
      </td>

      <td>
        String
      </td>
    </tr>

    <tr>
      <td>
        `end_date`
      </td>

      <td>
        Optional
      </td>

      <td>
        Retrieves all the attachments that were added on or before the specified date.
      </td>

      <td>
        String
      </td>
    </tr>
  </tbody>
</Table>

## Authentication

| Key           | Description        |
| :------------ | :----------------- |
| Authorization | Your Bearer token. |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "V3-APIs",
    "version": "3.1"
  },
  "servers": [
    {
      "url": "https://api.assetpanda.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "tags": [
    {
      "name": "Attachments"
    }
  ],
  "paths": {
    "/v3/attachments": {
      "get": {
        "tags": [
          "Attachments"
        ],
        "summary": "Get Attachments",
        "parameters": [
          {
            "name": "entity_id",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": 13808
          },
          {
            "name": "entity_object_id",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "65bbc77383782394e07a642c"
          },
          {
            "name": "name",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "image.png"
          },
          {
            "name": "type",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "Document"
          },
          {
            "name": "scope",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "assigned"
          },
          {
            "name": "folder_id",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": 68
          },
          {
            "name": "start_date",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "2023-02-20"
          },
          {
            "name": "end_date",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "example": "2023-02-20"
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": 100
          },
          {
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": 0
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  }
}
```